Desen 2D ShapeString

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft ShapeString and the translation is 15% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Facebinder.svg Facebinder
Next: Text Draft Text.svg Arrow-right.svg

Draft ShapeString.svg Draft ShapeString

poziția meniului
Draft → Shape from text ...
Workbenches
Draft, Arch
scurtătură
S S
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Text, Part Extrude

Descriere

Instrumentul ShapeString introduce o formă compusă care reprezintă un șir de caractere(text) într-un punct dat în documentul curent. Pot fi definite atribute ca: Înălțimea textului, tipul fontul, etc. The resulting shape can be used with the Part Extrude tool to create 3D letters.

Cele Draft Text instrumentul este o alternativă mai simplă, care nu produce o formă închisă.

Draft ShapeString Example400.png

Draft ShapeString Example400.png

Cum se folosește

  1. There are several ways to invoke the command:
    • Press the Draft ShapeString.svg Draft ShapeString button.
    • Select the Drafting → Draft ShapeString.svg Shape from text option from the menu.
    • Use the keyboard shortcut: S then S.
  2. The ShapeString task panel opens.
  3. Click a point in the 3D view, or type coordinates.
  4. Optionally press the Reset Point button to reset the point to the origin.
  5. Enter a String.
  6. Specify the Height.
  7. To select a font do one of the following:
    • Enter a file path in the Font file input box.
    • Press the ... button and select a file.
  8. Press the OK button to finish the command.

Opţiuni

  • Pentru a introduce coordonatele manual, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componenetă pe X, Y și Z.
  • Apăsați tasta ESCpentru a abandona operațiunea.
  • Puteți defini un fișier de font implicit în Draft/Prefences.

Notes

Limitations

  • Acest instrumente nu este disponibil pentru versiunile anterioarea lui FreeCAD 0.14
  • Sunt suportatea următoareal tipuri de fișiere pentru fonturi: TrueType(*.ttf), OpenType(*.otf) și Type1(*.pfb).
  • Înălțimile foarte mici ale textului pot cauza distorsionarea glifelor de caractere din cauza pierderii detaliilor la scalare.
  • Versiunea actuală este limitată la scrierile de la stânga la dreapta pe o linie de bază orizontală.
  • Pentru a crea texte de formă curbă puteți utiliza macrocomanda FCCircularTextButtom.pngCircular Text

Preferences

  • The default font file can be changed in the preferences: Edit → Preferences... → Draft → Texts and dimensions → Default ShapeString font file. See Draft Preferences.

Proprietăți

See also: Property editor.

A Draft ShapeString object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DATEPosition: Punctul de bază a formei compuse
  • DATEString: Conținutul șirului tip text
  • DATESize: Înălțimea literelor exprimată în unități FC
  • DATETracking: Spațierea dintre caractere exprimată în unități FC
  • DATEFont File: Definirea fișierului fontului utilizat pentru a desena șirul de caractere

View

Draft

  • ViewPattern (Enumeration): specifies the Draft Pattern with which to fill the faces of the text. This property only works if ViewDisplay Mode is Flat Lines.
  • ViewPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

Scripturi

Instrumentul ShapeString poate fi utilizat în macros și de la consola Python folosind următoarele funcții:

shapestring = make_shapestring(String, FontFile, Size=100, Tracking=0)
  • Transformați un șir tip text într-o Compound Shape utilizând fontul specificat.
  • Creează o formă compusă ShapeString utilizând codul String specificat

  +

  • FontFile este obligatorie și trebuie să fie calea completă a unui fișier de fonturi acceptat

  +

  • Size este înălțimea textului rezultat în milimetri

  +

  • Tracking este distanța inter-caracter suplimentară în milimetri

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Exempluː

import FreeCAD as App
import Draft

doc = App.newDocument()

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.make_shapestring("This is a sample text", font1, 200)

S2 = Draft.make_shapestring("Inclined text", font2, 200, 10)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(-1000, 500, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 45))
S2.Placement = place2

S3 = Draft.make_shapestring("Upside-down text", font3, 200, 10)
S3.Placement.Base = App.Vector(0, -1000, 0)
S3.Placement.Rotation = App.Rotation(zaxis, 180)

doc.recompute()


Arrow-left.svg Previous: Draft Facebinder.svg Facebinder
Next: Text Draft Text.svg Arrow-right.svg